# CompactVendor

## [v10.0.2.221223](https://github.com/Vladinator/wow-addon-compactvendor/tree/v10.0.2.221223) (2022-12-23)
[Full Changelog](https://github.com/Vladinator/wow-addon-compactvendor/compare/v10.0.0.221026...v10.0.2.221223) [Previous Releases](https://github.com/Vladinator/wow-addon-compactvendor/releases)

- Merge pull request #11 from Vladinator/feature/df  
    Dragonflight and v2 rewrite  
- Adjusted visibility handling, to hide button or list when the tab is not the correct one.  
- TOC bump  
- Reorganized a bit of code due to module merging.  
- Moved the filter module into the main addon.  
- Added settings UI and applied the scale config to the new merchant buttons. Sizing only the name, and cost texts at this point.  
- TOC bump  
- Adjusted some logical issues with the throttle handling in the old and new code.  
- Trying to add a buffer between refresh calls, to allow the game a moment to load, before trying to refresh by fetching new data.  
- Flipped the filter check from false to true for consistency.  
- Exposed internal table over the actual merchant items.  
- Preparing support for the external filters module.  
- Added tooltip scan related code and added "known" filter as a test.  
- Throttling updates when dealing with the most spammy events.  
- - The tooltip provider stores pending state to avoid duplicate requests for data.  
    - Icon is now a template used in both merchant button and cost buttons.  
    - Icon template has a nice quality border.  
- - Pending tooltip could also be missing name, empty string, space, or the retrieving message.  
    - We scan only using the itemID for simplicity sake, since that is earlier available than the itemLink.  
    - Made the TooltipScanner more strict on the links it tries to scan, confirms if the item is valid, returns false if invalid ahead of time.  
- Enabled certain events to help refresh limited inventory items or other merchant changes, by specific itemID.  
- Added filter and more adjustments to tooltip and learnability scanning.  
- Adjusted the hotfix a bit.  
- Implemented a tooltip scanner and provider. Fixed some issues with merchant items, added a hotfix I need to look into later.  
- Refactored some code, split it up in more functions.  
- Additional behavior adjustments.  
- Revamping the scanner and data provider to be two separate systems.  
- Minor pending vs full update handling.  
- More fixes and wrappers on the provider. We use an item provider that contains only loaded items to show in the frame.  
- Revamping the core code to a more modern approach.  
- Merchant items is always a table, even when empty.  
- Adapted the filter handling in the provider and on the frame itself.  
- Minor edits.  
- Replaced the merchant API with the new data provider API.  
- Using callback system to notify when we have all the data we need.  
- Creating data provider for merchant items.  
